﻿using UnityEngine;
using System.Collections;

public class RockBehaviour : TiledObjectBehaviour {
	const float AMOUNT_DIV = 1.0f / 75.0f;
	const float TTL = 5.0f;
	float startTime;
	public float amount = 0; // how much of terrain should this rock produce
	// Use this for initialization
	void Start () {
		startTime = Time.time;
	}
	
	// Update is called once per frame
	void Update () {
		base.Update();

		if (Time.time > startTime + TTL) {
			TerrainBehaviour.instance.ModifyTerrain(
				TerrainBehaviour.TranslateY(transform.position.z), TerrainBehaviour.TranslateX(transform.position.x),
				TerrainBehaviour.instance.smallExpansion,amount * AMOUNT_DIV);

			DestroyObject(gameObject);
		}
	}
}
